﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration;
using Rarous.TexyNet.Configuration;

namespace Rarous.Gryphoon.Configuration {
  /// <summary>
  /// Konfigurační sekce pro Texy.
  /// </summary>
  public class TexySection : ConfigurationSection {
    private const string ArticleSection = "article";
    private const string CommentSection = "comment";

    /// <summary>
    /// Vrací nebo nastavuje konfigurační sekci Texy pro články.
    /// </summary>
    [ConfigurationProperty(ArticleSection)]
    public ConfigSectionHandler Article {
      get {
        return this[ArticleSection] as ConfigSectionHandler;
      }
      set
      {
      	this[ArticleSection] = value;
      }
    }

    /// <summary>
    /// Vrací nebo nastavuje konfigurační sekci Texy pro komentáře.
    /// </summary>
    [ConfigurationProperty(CommentSection)]
    public ConfigSectionHandler Comment {
      get {
        return this[CommentSection] as ConfigSectionHandler;
      }
      set
      {
      	this[CommentSection] = value;
      }
    }
  }
}
