﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Rarous.Gryphoon.Validators {
  /// <summary>
  /// Třída validátoru článků.
  /// </summary>
  public class ArticleValidator : IValidator<Article> {
    /// <summary>
    /// Zvaliduje článek.
    /// </summary>
    /// <param name="target">Validovaný článek.</param>
    /// <returns>Vrací <c>true</c> pokud je článek validní, jinak vrací <c>false</c>.</returns>
    public bool Validate(Article target) {
      return !String.IsNullOrEmpty(target.Name) && !String.IsNullOrEmpty(target.Text);
    }
  }
}
